This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 426230 - Review Request: perl-Test-Unit - the PerlUnit testing framework
Review Request: perl-Test-Unit - the PerlUnit testing framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 426228
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-19 08:23 EST by Xavier Bachelot
Modified: 2007-12-22 11:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-22 11:25:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2007-12-19 08:23:10 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-Test-Unit.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-Test-Unit-0.25-1.fc8.src.rpm
Description: 
This framework is intended to support unit testing in an object-oriented
development paradigm (with support for inheritance of tests etc.) and is
derived from the JUnit testing framework for Java by Kent Beck and Erich
Gamma.
Comment 1 Xavier Bachelot 2007-12-19 11:41:47 EST
rpmlint gives a clean output except :
perl-Test-Unit.noarch: W: doc-file-dependency
/usr/share/doc/perl-Test-Unit-0.25/examples/Experimental/Sample.pm perl(Exporter)

Not sure how to fix that.
Comment 2 Yanko Kaneti 2007-12-19 17:08:44 EST
(In reply to comment #1)
> rpmlint gives a clean output except :
> perl-Test-Unit.noarch: W: doc-file-dependency
> /usr/share/doc/perl-Test-Unit-0.25/examples/Experimental/Sample.pm perl(Exporter)
> 
> Not sure how to fix that.

See the first section of http://fedoraproject.org/wiki/Packaging/Perl 
Comment 3 Xavier Bachelot 2007-12-19 18:52:07 EST
Thanks, fixed in
http://washington.kelkoo.net/fedora/SRPMS/perl-Test-Unit-0.25-2.fc8.src.rpm
Comment 4 Jason Tibbitts 2007-12-20 20:43:33 EST
A couple of issues are similar to those from the Class::Inner package:

License: tag should be GPL+ or Artistic.

Summary doesn't really need the name of the Perl module, but it's not a big
deal.

The comment before the BuildRequires: looks like it was part of a template.
(The same comment might have been in the Class::Inner package; maybe I missed
it.)

Some of the things provided by this package look a bit odd:
  perl(Experimental::Sample)
It looks like this comes from one of the examples, which would mean that if you
did a --nodocs installation you wouldn't actually get the file which provides
the symbol.

  perl(Tk::ArrayBar)
I guess this is OK; the package really creates this widget.

  perl(fail_example)
  perl(fail_example_testsuite_setup)
It looks like these come from the examples as well.

Documentation really shouldn't generate additional dependency information, so
those three provided symbols should be filtered.

Checklist:
* source files match upstream:
   5bd36b7262b849aef07510df53081f3858893a583021f8e831d9a497be31dfaf
   Test-Unit-0.25.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field is not correct.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Experimental::Sample)
   perl(Test::Unit) = 0.25
   perl(Test::Unit::Assert)
   perl(Test::Unit::Assertion)
   perl(Test::Unit::Assertion::Boolean)
   perl(Test::Unit::Assertion::CodeRef)
   perl(Test::Unit::Assertion::Exception)
   perl(Test::Unit::Assertion::Regexp)
   perl(Test::Unit::Debug)
   perl(Test::Unit::Decorator)
   perl(Test::Unit::Error)
   perl(Test::Unit::Exception)
   perl(Test::Unit::Failure)
   perl(Test::Unit::HarnessUnit)
   perl(Test::Unit::Listener)
   perl(Test::Unit::Loader)
   perl(Test::Unit::Procedural)
   perl(Test::Unit::Result)
   perl(Test::Unit::Runner)
   perl(Test::Unit::Runner::Terminal)
   perl(Test::Unit::Setup)
   perl(Test::Unit::Test)
   perl(Test::Unit::TestCase)
   perl(Test::Unit::TestRunner)
   perl(Test::Unit::TestSuite)
   perl(Test::Unit::TkTestRunner)
   perl(Test::Unit::Tutorial)
   perl(Test::Unit::UnitHarness) = 1.1502
   perl(Test::Unit::UnitHarness::Exception)
   perl(Test::Unit::UnitHarness::TestCase)
   perl(Test::Unit::Warning)
   perl(Tk::ArrayBar)
   perl(fail_example)
   perl(fail_example_testsuite_setup)
   perl-Test-Unit = 0.25-2.fc9
  =
   /usr/bin/perl
   perl(:MODULE_COMPAT_5.8.8)
   perl(Benchmark)
   perl(Carp)
   perl(Class::Inner)
   perl(Config)
   perl(Data::Dumper)
   perl(Devel::Symdump)
   perl(Error)
   perl(FileHandle)
   perl(Getopt::Long)
   perl(Test::Unit)
   perl(Test::Unit::Assertion)
   perl(Test::Unit::Assertion::CodeRef)
   perl(Test::Unit::Debug)
   perl(Test::Unit::Error)
   perl(Test::Unit::Exception)
   perl(Test::Unit::Failure)
   perl(Test::Unit::Loader)
   perl(Test::Unit::Result)
   perl(Test::Unit::TestCase)
   perl(Test::Unit::TestRunner)
   perl(Test::Unit::TestSuite)
   perl(Test::Unit::TkTestRunner)
   perl(Test::Unit::UnitHarness)
   perl(Test::Unit::Warning)
   perl(Tk)
   perl(Tk::BrowseEntry)
   perl(Tk::Canvas)
   perl(Tk::DialogBox)
   perl(Tk::ROText)
   perl(base)
   perl(constant)
   perl(overload)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=89,  1 wallclock secs ( 0.86 cusr +  0.08 csys =  0.94 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
X %docs generate provided symbols, which might not actually be provided in a
   --nodocs installation.
Comment 5 Xavier Bachelot 2007-12-21 06:18:01 EST
All points above fixed in :
http://washington.kelkoo.net/fedora/SRPMS/perl-Test-Unit-0.25-3.fc8.src.rpm
Comment 6 Jason Tibbitts 2007-12-22 00:58:34 EST
Yes, looks good to me.

APPROVED
Comment 7 Xavier Bachelot 2007-12-22 07:05:40 EST
Thx Tibbs

New Package CVS Request
=======================
Package Name: perl-Test-Unit
Short Description: the PerlUnit testing framework
Owners: xavierb
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 8 Tom "spot" Callaway 2007-12-22 10:55:11 EST
cvs done

Comment 9 Xavier Bachelot 2007-12-22 11:25:37 EST
Thx Spot.

Imported and built for devel and F-8.

Note You need to log in before you can comment on or make changes to this bug.